Last Comment Bug 732026 - Add simple tests for vanity URLs
: Add simple tests for vanity URLs
Status: RESOLVED FIXED
u=dev c=general s=2012.5 p=1 [qa-]
:
Product: support.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 2012Q1
Assigned To: James Socol [:jsocol, :james]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 08:15 PST by James Socol [:jsocol, :james]
Modified: 2012-03-07 08:17 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description James Socol [:jsocol, :james] 2012-03-01 08:15:32 PST
Web QA has been testing our vanity URLs (/windows7-support, /contribute) but those can be better handled by kitsune tests. They'll be faster and if the targets change, won't be a spurious failure for Web QA to track down.

I'll add a simple test case in the sumo app somewhere.
Comment 1 James Socol [:jsocol, :james] 2012-03-06 06:42:13 PST
https://github.com/jsocol/kitsune/commit/04255723

I have no idea if this sprint or what the target milestone is ;)
Comment 2 Will Kahn-Greene [:willkg] 2012-03-07 07:09:11 PST
I fixed the sprint (we're in 2012.5 now), but I also don't know what the target milestone should be.
Comment 3 Stephen Donner [:stephend] 2012-03-07 08:13:59 PST
James/Zac -- can we get a pull to delete the corresponding, now-duplicated, tests from https://github.com/mozilla/sumo-tests/blob/master/tests/desktop/test_rewrites.py?  Thanks!
Comment 4 James Socol [:jsocol, :james] 2012-03-07 08:15:07 PST
On it. /contribute is already gone.
Comment 5 Will Kahn-Greene [:willkg] 2012-03-07 08:17:00 PST
Ricky says Q1 is the best target for this one.

Note You need to log in before you can comment on or make changes to this bug.